cryptohash-0.11.9: collection of crypto hashes, fast, pure and practical

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | Trustworthy
Language | Haskell98

Crypto.Hash.Types

Contents

- deprecated

Description

Crypto hash types definitions

Synopsis

- newtype Context a = Context (Context a)
- newtype Digest a = Digest (Digest a)
- contextToByteString :: Context a -> ByteString
- digestToByteString :: Digest a -> ByteString

# Documentation

newtype Context a Source #

Represent a context for a given hash algorithm.

Constructors

Context (Context a) |

#### Instances

Instances details

Byteable (Context a) Source # |
Instance details Defined in Crypto.Hash.Types Methods toBytes :: Context a -> ByteString Source # byteableLength :: Context a -> Int Source # withBytePtr :: Context a -> (Ptr Word8 -> IO b) -> IO b Source #

newtype Digest a Source #

Represent a digest for a given hash algorithm.

Constructors

Digest (Digest a) |

#### Instances

Instances details

Eq (Digest a) Source # |
Instance details Defined in Crypto.Hash.Types Methods (==) :: Digest a -> Digest a -> Bool (/=) :: Digest a -> Digest a -> Bool
Ord (Digest a) Source # |
Instance details Defined in Crypto.Hash.Types Methods compare :: Digest a -> Digest a -> Ordering (<) :: Digest a -> Digest a -> Bool (<=) :: Digest a -> Digest a -> Bool (>) :: Digest a -> Digest a -> Bool (>=) :: Digest a -> Digest a -> Bool max :: Digest a -> Digest a -> Digest a min :: Digest a -> Digest a -> Digest a
Show (Digest a) Source # |
Instance details Defined in Crypto.Hash.Types Methods showsPrec :: Int -> Digest a -> ShowS show :: Digest a -> String showList :: [Digest a] -> ShowS
Byteable (Digest a) Source # |
Instance details Defined in Crypto.Hash.Types Methods toBytes :: Digest a -> ByteString Source # byteableLength :: Digest a -> Int Source # withBytePtr :: Digest a -> (Ptr Word8 -> IO b) -> IO b Source #

# deprecated

contextToByteString :: Context a -> ByteString Source #

digestToByteString :: Digest a -> ByteString Source #

Deprecated: use toBytes from byteable:Data.Byteable

return the binary bytestring. deprecated use toBytes.